import request from '@/utils/request'

// 查询风险提醒列表
export function listRiskreminder(query) {
  return request({
    url: '/plant/riskreminder/list',
    method: 'get',
    params: query
  })
}

// 查询风险提醒详细
export function getRiskreminder(id) {
  return request({
    url: '/plant/riskreminder/' + id,
    method: 'get'
  })
}

// 新增风险提醒
export function addRiskreminder(data) {
  return request({
    url: '/plant/riskreminder',
    method: 'post',
    data: data
  })
}

// 修改风险提醒
export function updateRiskreminder(data) {
  return request({
    url: '/plant/riskreminder',
    method: 'put',
    data: data
  })
}

// 删除风险提醒
export function delRiskreminder(id) {
  return request({
    url: '/plant/riskreminder/' + id,
    method: 'delete'
  })
}

// 导出风险提醒
export function exportRiskreminder(query) {
  return request({
    url: '/plant/riskreminder/export',
    method: 'get',
    params: query
  })
}
